diff --git a/src/main/java/net/minecraft/client/render/model/ModelWolf.java b/src/main/java/net/minecraft/client/render/model/ModelWolf.java
index 3dc9a884a..9158dc538 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelWolf.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelWolf.java
@@ -7,10 +7,6 @@ import net.minecraft.core.entity.animal.MobWolf;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            ModelBase, ModelRenderer, MobWolf, MathHelper,
-//            Mob
-
 public class ModelWolf extends ModelBase
 {
 
diff --git a/src/main/java/net/minecraft/client/render/model/ModelZombie.java b/src/main/java/net/minecraft/client/render/model/ModelZombie.java
index d46280adc..4af4cfe4f 100644
--- a/src/main/java/net/minecraft/client/render/model/ModelZombie.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelZombie.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.render.model;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ModelBiped, MathHelper, ModelRenderer
-
 import net.minecraft.core.util.helper.MathHelper;
 
 public class ModelZombie extends ModelBiped {
diff --git a/src/main/java/net/minecraft/client/render/shader/Shader.java b/src/main/java/net/minecraft/client/render/shader/Shader.java
index 6a9af19cc..5def25de5 100644
--- a/src/main/java/net/minecraft/client/render/shader/Shader.java
+++ b/src/main/java/net/minecraft/client/render/shader/Shader.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.render.shader;
 
-import static org.lwjgl.opengl.GL11.*;
 import static org.lwjgl.opengl.GL20.*;
 
 import java.util.HashMap;
diff --git a/src/main/java/net/minecraft/client/render/shader/ShadersRenderer.java b/src/main/java/net/minecraft/client/render/shader/ShadersRenderer.java
index 3d5b29762..5f61de971 100644
--- a/src/main/java/net/minecraft/client/render/shader/ShadersRenderer.java
+++ b/src/main/java/net/minecraft/client/render/shader/ShadersRenderer.java
@@ -2,7 +2,6 @@ package net.minecraft.client.render.shader;
 
 import static org.lwjgl.opengl.ARBFramebufferObject.*;
 import static org.lwjgl.opengl.ARBMultitexture.*;
-import static org.lwjgl.opengl.GL11.*;
 import static org.lwjgl.opengl.GL20.*;
 
 import java.io.File;
diff --git a/src/main/java/net/minecraft/client/render/terrain/VertexConfig.java b/src/main/java/net/minecraft/client/render/terrain/VertexConfig.java
index 71a5668a5..296e48a1d 100644
--- a/src/main/java/net/minecraft/client/render/terrain/VertexConfig.java
+++ b/src/main/java/net/minecraft/client/render/terrain/VertexConfig.java
@@ -1,7 +1,5 @@
 package net.minecraft.client.render.terrain;
 
-import static org.lwjgl.opengl.GL11.*;
-import static org.lwjgl.opengl.GL13.*;
 import static org.lwjgl.opengl.GL20.*;
 
 import java.nio.ByteBuffer;
diff --git a/src/main/java/net/minecraft/client/render/texturepack/TexturePackList.java b/src/main/java/net/minecraft/client/render/texturepack/TexturePackList.java
index ff02b0730..30261446e 100644
--- a/src/main/java/net/minecraft/client/render/texturepack/TexturePackList.java
+++ b/src/main/java/net/minecraft/client/render/texturepack/TexturePackList.java
@@ -2,7 +2,6 @@ package net.minecraft.client.render.texturepack;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.holiday.Holidays;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.sound.SoundRepository;
 import org.jetbrains.annotations.Nullable;
diff --git a/src/main/java/net/minecraft/client/render/window/GameWindowGLFW.java b/src/main/java/net/minecraft/client/render/window/GameWindowGLFW.java
index fc010ce5d..3662b577b 100644
--- a/src/main/java/net/minecraft/client/render/window/GameWindowGLFW.java
+++ b/src/main/java/net/minecraft/client/render/window/GameWindowGLFW.java
@@ -129,8 +129,8 @@ public class GameWindowGLFW implements GameWindow {
 		Display.setWindow(this);
 
 		
-		Method createKeyboard = null;
-		Method createMouse = null;
+		Method createKeyboard;
+		Method createMouse;
 		
 		try {
 			createKeyboard = Keyboard.class.getDeclaredMethod("create", InputImplementation.class);
diff --git a/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFX.java b/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFX.java
index ae91f7a3d..6754f6a2f 100644
--- a/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFX.java
+++ b/src/main/java/net/minecraft/client/render/worldtype/WorldTypeFX.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.render.worldtype;
 
-import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.type.WorldType;
diff --git a/src/main/java/net/minecraft/client/sound/NamedSoundRepository.java b/src/main/java/net/minecraft/client/sound/NamedSoundRepository.java
index 2f04494d5..f52b78d88 100644
--- a/src/main/java/net/minecraft/client/sound/NamedSoundRepository.java
+++ b/src/main/java/net/minecraft/client/sound/NamedSoundRepository.java
@@ -198,10 +198,10 @@ public class NamedSoundRepository extends Registry<SoundEvent> {
             attenuation_distance = jObj.get("attenuation_distance").getAsInt();
         }
 
-        boolean preload = false;
-        if (jObj.has("preload")) {
-            preload = jObj.get("preload").getAsBoolean();
-        }
+//        boolean preload = false;
+//        if (jObj.has("preload")) {
+//            preload = jObj.get("preload").getAsBoolean();
+//        }
 
         String type = "file";
         if (jObj.has("type")) {
diff --git a/src/main/java/net/minecraft/client/util/debug/DebugRender.java b/src/main/java/net/minecraft/client/util/debug/DebugRender.java
index 8d30c2b04..b8183412d 100644
--- a/src/main/java/net/minecraft/client/util/debug/DebugRender.java
+++ b/src/main/java/net/minecraft/client/util/debug/DebugRender.java
@@ -181,7 +181,7 @@ public class DebugRender {
 		Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
 		if (mc.gameSettings.customFpsLimit.value > 0 || mc.gameSettings.enableVsync.value){
 			tessellator.setColorOpaque_I(0x00FF00);
-			int fps = 0;
+			int fps;
 			if (mc.gameSettings.enableVsync.value){
 				fps = mc.gameWindow.getFrequency(); // Cap fps when minimized
 			} else {
diff --git a/src/main/java/net/minecraft/client/world/WorldClient.java b/src/main/java/net/minecraft/client/world/WorldClient.java
index 39037d115..10ebc53b9 100644
--- a/src/main/java/net/minecraft/client/world/WorldClient.java
+++ b/src/main/java/net/minecraft/client/world/WorldClient.java
@@ -3,10 +3,8 @@ package net.minecraft.client.world;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.camera.ICamera;
 import net.minecraft.client.render.colorizer.Colorizers;
-import net.minecraft.client.render.worldtype.WorldTypeFX;
 import net.minecraft.client.render.worldtype.WorldTypeFXDispatcher;
 import net.minecraft.client.world.chunk.provider.ChunkProviderViewer;
-import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.AuroraProvider;
diff --git a/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderClient.java b/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderClient.java
index 38dc54980..278518b1a 100644
--- a/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderClient.java
+++ b/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderClient.java
@@ -9,10 +9,6 @@ import net.minecraft.core.world.chunk.provider.IChunkProvider;
 
 import java.util.*;
 
-// Referenced classes of package net.minecraft.src:
-//            IChunkProvider, EmptyChunk, ChunkCoordIntPair, Chunk, 
-//            NibbleArray, World, IProgressUpdate
-
 public class ChunkProviderClient
     implements IChunkProvider
 {
@@ -30,7 +26,7 @@ public class ChunkProviderClient
     {
         return true;
 
-        // Previous code always returned true, possibly was a bug?
+        // TODO Previous code always returned true, possibly was a bug?
         /*if(this != null)
         {
             return true;
diff --git a/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderStatic.java b/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderStatic.java
index d29bd8e4d..211de19b9 100644
--- a/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderStatic.java
+++ b/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderStatic.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.world.chunk.provider;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.Global;
+
 import net.minecraft.core.world.ProgressListener;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
@@ -14,13 +14,12 @@ import org.slf4j.Logger;
 import java.io.IOException;
 import java.util.Arrays;
 
-// Referenced classes of package net.minecraft.src:
-//            IChunkProvider, Chunk, World, IChunkLoader, 
-//            IProgressUpdate
-
 public class ChunkProviderStatic
     implements IChunkProvider
 {
+    public static final int CHUNK_RADIUS = 64; // Radius should *always* be a power of 2!
+    public static final int CHUNK_MASK = CHUNK_RADIUS * 2 - 1;
+
     private static final Logger LOGGER = LogUtils.getLogger();
     private final Chunk blankChunk;
     public ChunkGenerator chunkGenerator;
@@ -36,7 +35,7 @@ public class ChunkProviderStatic
 
     public ChunkProviderStatic(World world, IChunkLoader ichunkloader, ChunkGenerator chunkGenerator)
     {
-        chunks = new Chunk[1024];
+        chunks = new Chunk[CHUNK_RADIUS * 2 * CHUNK_RADIUS * 2];
         lastQueriedChunkXPos = Integer.MIN_VALUE;
         lastQueriedChunkZPos = Integer.MIN_VALUE;
         blankChunk = new EmptyChunk(world, 0, 0);
@@ -55,16 +54,16 @@ public class ChunkProviderStatic
 
     public boolean canChunkExist(int chunkX, int chunkZ)
     {
-        byte byte0 = 15;
+        byte byte0 = CHUNK_RADIUS - 1;
         return chunkX >= curChunkX - byte0 && chunkZ >= curChunkY - byte0 && chunkX <= curChunkX + byte0 && chunkZ <= curChunkY + byte0;
     }
 
     @Override
     public void regenerateChunk(int chunkX, int chunkZ)
     {
-        int k = chunkX & 0x1f;
-        int l = chunkZ & 0x1f;
-        int i1 = k + l * 32;
+        int k = chunkX & CHUNK_MASK;
+        int l = chunkZ & CHUNK_MASK;
+        int i1 = k + l * CHUNK_RADIUS * 2;
         Chunk newChunk;
         if (chunkGenerator != null)
         {
@@ -106,9 +105,9 @@ public class ChunkProviderStatic
             return true;
         } else
         {
-            int k = chunkX & 0x1f;
-            int l = chunkZ & 0x1f;
-            int chunkIndex = k + l * 32;
+            int k = chunkX & CHUNK_MASK;
+            int l = chunkZ & CHUNK_MASK;
+            int chunkIndex = k + l * CHUNK_RADIUS * 2;
             return chunks[chunkIndex] == blankChunk || (chunks[chunkIndex] != null && chunks[chunkIndex].isAtLocation(chunkX, chunkZ));
         }
     }
@@ -130,9 +129,9 @@ public class ChunkProviderStatic
         {
             return blankChunk;
         }
-        int k = chunkX & 0x1f;
-        int l = chunkZ & 0x1f;
-        int i1 = k + l * 32;
+        int k = chunkX & CHUNK_MASK;
+        int l = chunkZ & CHUNK_MASK;
+        int i1 = k + l * CHUNK_RADIUS * 2;
         if(!isChunkLoaded(chunkX, chunkZ))
         {
             if(chunks[i1] != null)
diff --git a/src/main/java/net/minecraft/core/MinecraftAccessor.java b/src/main/java/net/minecraft/core/MinecraftAccessor.java
index 90024fd58..f4ba2a338 100644
--- a/src/main/java/net/minecraft/core/MinecraftAccessor.java
+++ b/src/main/java/net/minecraft/core/MinecraftAccessor.java
@@ -26,6 +26,6 @@ public interface MinecraftAccessor
     }
 
     default Collection<String> getAvailableSoundKeys() {
-        return SoundTypes.getSoundIds().keySet();
+        return SoundTypes.getSoundIds().values();
     }
 }
\ No newline at end of file
diff --git a/src/main/java/net/minecraft/core/achievement/stat/DistanceValueFormatter.java b/src/main/java/net/minecraft/core/achievement/stat/DistanceValueFormatter.java
index a3b2418b5..f24e9ce9f 100644
--- a/src/main/java/net/minecraft/core/achievement/stat/DistanceValueFormatter.java
+++ b/src/main/java/net/minecraft/core/achievement/stat/DistanceValueFormatter.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.achievement.stat;
 
-// Referenced classes of package net.minecraft.src:
-//            StatValueFormatter, StatBase
-
 final class DistanceValueFormatter implements StatValueFormatter {
     public static double UNIT_CENTIMETER_TO_METER = 1d/100;
     public static double UNIT_METER_TO_KILOMETER = 1d/1000;
diff --git a/src/main/java/net/minecraft/core/achievement/stat/SimpleValueFormatter.java b/src/main/java/net/minecraft/core/achievement/stat/SimpleValueFormatter.java
index 73bd925dd..06186341a 100644
--- a/src/main/java/net/minecraft/core/achievement/stat/SimpleValueFormatter.java
+++ b/src/main/java/net/minecraft/core/achievement/stat/SimpleValueFormatter.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.achievement.stat;
 
-// Referenced classes of package net.minecraft.src:
-//            StatValueFormatter, StatBase
-
 final class SimpleValueFormatter implements StatValueFormatter {
 
     @Override
diff --git a/src/main/java/net/minecraft/core/achievement/stat/Stat.java b/src/main/java/net/minecraft/core/achievement/stat/Stat.java
index a404feb9c..54c25704e 100644
--- a/src/main/java/net/minecraft/core/achievement/stat/Stat.java
+++ b/src/main/java/net/minecraft/core/achievement/stat/Stat.java
@@ -1,12 +1,8 @@
 package net.minecraft.core.achievement.stat;
 
-import com.b100.utils.StreamUtils;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.collection.NamespaceID;
 
-import java.io.BufferedReader;
-import java.io.InputStream;
-import java.io.InputStreamReader;
 import java.text.DecimalFormat;
 import java.text.NumberFormat;
 import java.util.*;
diff --git a/src/main/java/net/minecraft/core/achievement/stat/StatList.java b/src/main/java/net/minecraft/core/achievement/stat/StatList.java
index 4d9fb95d8..b64152d60 100644
--- a/src/main/java/net/minecraft/core/achievement/stat/StatList.java
+++ b/src/main/java/net/minecraft/core/achievement/stat/StatList.java
@@ -2,7 +2,6 @@ package net.minecraft.core.achievement.stat;
 
 import net.minecraft.core.WeightedRandomBag;
 import net.minecraft.core.WeightedRandomLootObject;
-import net.minecraft.core.achievement.Achievement;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryBlastFurnace;
@@ -81,7 +80,7 @@ public abstract class StatList
     public static Stat fishCaughtStat =
         new StatBasic(new NamespaceID("minecraft", "caught_fish"), "stat.fishCaught").registerStat();
 
-    public static Map<String, Stat> mobEncounterStats;
+    public static Map<NamespaceID, Stat> mobEncounterStats;
 
     public static Map<Integer, Integer> replacementMap = new HashMap<>();
 
@@ -141,9 +140,9 @@ public abstract class StatList
         }
 
         mobEncounterStats = new HashMap<>();
-        for (Map.Entry<String, Class<? extends Entity>> entry : EntityDispatcher.keyToClassMap.entrySet())
+        for (Map.Entry<NamespaceID, Class<? extends Entity>> entry : EntityDispatcher.idToClassMap.entrySet())
         {
-            mobEncounterStats.put(entry.getKey(), new StatMob(new NamespaceID("minecraft", "encounter_" + entry.getKey()), "stat.encounterMob", entry.getKey()).registerStat());
+            mobEncounterStats.put(entry.getKey(), new StatMob(new NamespaceID("minecraft", "encounter_" + entry.getKey().toString().replace(":", "_")), "stat.encounterMob", entry.getKey()).registerStat());
         }
     }
 
@@ -247,8 +246,9 @@ public abstract class StatList
             }
 
             if (OFFSET_MOB <= id && id < OFFSET_MOB + OFFSET_OFFSET) {
-                Class<? extends Entity> c = EntityDispatcher.getClassFromID(id - OFFSET_MOB);
-                String entityID = EntityDispatcher.getEncodeId(c);
+                @SuppressWarnings("deprecation") // This is converting old stats that used the legacy ids numbers
+                Class<? extends Entity> c = EntityDispatcher.Legacy.getClassFromID(id - OFFSET_MOB);
+                NamespaceID entityID = EntityDispatcher.idForClass(c);
                 return mobEncounterStats.get(entityID);
             }
 
diff --git a/src/main/java/net/minecraft/core/achievement/stat/StatMob.java b/src/main/java/net/minecraft/core/achievement/stat/StatMob.java
index b7624def4..117cde22a 100644
--- a/src/main/java/net/minecraft/core/achievement/stat/StatMob.java
+++ b/src/main/java/net/minecraft/core/achievement/stat/StatMob.java
@@ -3,14 +3,14 @@ package net.minecraft.core.achievement.stat;
 import net.minecraft.core.util.collection.NamespaceID;
 
 public class StatMob extends Stat {
-    private final String mobId;
+    private final NamespaceID mobId;
 
-    public StatMob(NamespaceID id, String name, String mobId) {
+    public StatMob(NamespaceID id, String name, NamespaceID mobId) {
         super(id, name);
         this.mobId = mobId;
     }
 
-    public String getMobId() {
+    public NamespaceID getMobId() {
         return mobId;
     }
 }
diff --git a/src/main/java/net/minecraft/core/achievement/stat/StatsCounter.java b/src/main/java/net/minecraft/core/achievement/stat/StatsCounter.java
index e6da28072..206539c86 100644
--- a/src/main/java/net/minecraft/core/achievement/stat/StatsCounter.java
+++ b/src/main/java/net/minecraft/core/achievement/stat/StatsCounter.java
@@ -14,7 +14,6 @@ import com.b100.json.element.JsonEntry;
 import com.b100.json.element.JsonObject;
 import com.b100.utils.FileUtils;
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.Global;
 import net.minecraft.core.MD5String;
 import net.minecraft.core.achievement.Achievement;
 import net.minecraft.core.player.Session;
diff --git a/src/main/java/net/minecraft/core/achievement/stat/TimeValueFormatter.java b/src/main/java/net/minecraft/core/achievement/stat/TimeValueFormatter.java
index d6b8c0bb5..16c609cc9 100644
--- a/src/main/java/net/minecraft/core/achievement/stat/TimeValueFormatter.java
+++ b/src/main/java/net/minecraft/core/achievement/stat/TimeValueFormatter.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.achievement.stat;
 
-// Referenced classes of package net.minecraft.src:
-//            StatValueFormatter, StatBase
-
 import net.minecraft.core.Global;
 
 final class TimeValueFormatter implements StatValueFormatter {
diff --git a/src/main/java/net/minecraft/core/block/BlockAlgae.java b/src/main/java/net/minecraft/core/block/BlockAlgae.java
index 75924dfd1..9fdd7944e 100644
--- a/src/main/java/net/minecraft/core/block/BlockAlgae.java
+++ b/src/main/java/net/minecraft/core/block/BlockAlgae.java
@@ -12,11 +12,6 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.phys.AABB;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, AxisAlignedBB,
-//            IBlockAccess, Item, EntityItem, ItemStack,
-//            StatList, Player, EnumSkyBlock
-
 public class BlockAlgae extends Block
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockButton.java b/src/main/java/net/minecraft/core/block/BlockButton.java
index 0f80e44bd..c3edb56b6 100644
--- a/src/main/java/net/minecraft/core/block/BlockButton.java
+++ b/src/main/java/net/minecraft/core/block/BlockButton.java
@@ -18,10 +18,6 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, IBlockAccess, 
-//            AxisAlignedBB, Player
-
 public class BlockButton extends Block
 {
     public static final int MASK_POWERED = 0b0000_1000;
diff --git a/src/main/java/net/minecraft/core/block/BlockCactus.java b/src/main/java/net/minecraft/core/block/BlockCactus.java
index 3f3a2deb7..dc0904cf2 100644
--- a/src/main/java/net/minecraft/core/block/BlockCactus.java
+++ b/src/main/java/net/minecraft/core/block/BlockCactus.java
@@ -19,10 +19,6 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, AxisAlignedBB, 
-//            Entity
-
 public class BlockCactus extends Block implements IBonemealable
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockChest.java b/src/main/java/net/minecraft/core/block/BlockChest.java
index e8fa4260b..4dee34beb 100644
--- a/src/main/java/net/minecraft/core/block/BlockChest.java
+++ b/src/main/java/net/minecraft/core/block/BlockChest.java
@@ -318,9 +318,8 @@ public class BlockChest extends BlockTileEntity implements IPaintable {
 	
 	public static Container getInventory(World world, int x, int y, int z) {
 		Container inventory = (Container) world.getBlockEntity(x, y, z);
-		
-		int meta = world.getBlockMetadata(x, y, z);
-		meta = world.getBlockMetadata(x, y, z);
+
+        int meta = world.getBlockMetadata(x, y, z);
 		Type type = getTypeFromMeta(meta);
 		
 		if(type != Type.SINGLE) {
diff --git a/src/main/java/net/minecraft/core/block/BlockClay.java b/src/main/java/net/minecraft/core/block/BlockClay.java
index 20a1cb742..08450fcd8 100644
--- a/src/main/java/net/minecraft/core/block/BlockClay.java
+++ b/src/main/java/net/minecraft/core/block/BlockClay.java
@@ -7,9 +7,6 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, Item
-
 public class BlockClay extends Block
 {
     public BlockClay(String key, String namespaceId, int id)
diff --git a/src/main/java/net/minecraft/core/block/BlockCobweb.java b/src/main/java/net/minecraft/core/block/BlockCobweb.java
index 9f1753adf..011cb9eb7 100644
--- a/src/main/java/net/minecraft/core/block/BlockCobweb.java
+++ b/src/main/java/net/minecraft/core/block/BlockCobweb.java
@@ -10,10 +10,6 @@ import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.WorldSource;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, Entity, Item, 
-//            World, AxisAlignedBB
-
 public class BlockCobweb extends Block
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockDeadBush.java b/src/main/java/net/minecraft/core/block/BlockDeadBush.java
index c070c8ba3..acc5e698b 100644
--- a/src/main/java/net/minecraft/core/block/BlockDeadBush.java
+++ b/src/main/java/net/minecraft/core/block/BlockDeadBush.java
@@ -6,9 +6,6 @@ import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFlower, Block
-
 public class BlockDeadBush extends BlockFlower
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockDoor.java b/src/main/java/net/minecraft/core/block/BlockDoor.java
index b5f77f3d4..df1efadc3 100644
--- a/src/main/java/net/minecraft/core/block/BlockDoor.java
+++ b/src/main/java/net/minecraft/core/block/BlockDoor.java
@@ -23,11 +23,6 @@ import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, IBlockAccess, World, 
-//            Item, AxisAlignedBB, Player, Vec3D,
-//            MovingObjectPosition
-
 public class BlockDoor extends Block implements IPaintable
 {
     public static final int MASK_ROTATION = 0b0000_0011;
diff --git a/src/main/java/net/minecraft/core/block/BlockFence.java b/src/main/java/net/minecraft/core/block/BlockFence.java
index a4b897264..81d63800a 100644
--- a/src/main/java/net/minecraft/core/block/BlockFence.java
+++ b/src/main/java/net/minecraft/core/block/BlockFence.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.block;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, World, AxisAlignedBB
-
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.block.material.Material;
@@ -11,7 +7,6 @@ import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
-
 public class BlockFence extends Block implements IPaintable
 {
 //    private static final List<BoundingVolume> selectionVolumes = new ArrayList<>();
diff --git a/src/main/java/net/minecraft/core/block/BlockFluidFlowing.java b/src/main/java/net/minecraft/core/block/BlockFluidFlowing.java
index fae1bca73..e8463b54f 100644
--- a/src/main/java/net/minecraft/core/block/BlockFluidFlowing.java
+++ b/src/main/java/net/minecraft/core/block/BlockFluidFlowing.java
@@ -8,10 +8,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockFluid, World, Material, WorldProvider,
-//            Block
-
 public class BlockFluidFlowing extends BlockFluid
 {
     int maxCount;
diff --git a/src/main/java/net/minecraft/core/block/BlockFurnace.java b/src/main/java/net/minecraft/core/block/BlockFurnace.java
index 9c380a1cd..f063c0e83 100644
--- a/src/main/java/net/minecraft/core/block/BlockFurnace.java
+++ b/src/main/java/net/minecraft/core/block/BlockFurnace.java
@@ -15,12 +15,6 @@ import org.slf4j.Logger;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockContainer, Material, Block, World, 
-//            IBlockAccess, TileEntityFurnace, Player, TileEntity,
-//            Mob, MathHelper, IInventory, ItemStack,
-//            EntityItem
-
 public class BlockFurnace extends BlockTileEntityRotatable
 {
     private static final Logger LOGGER = LogUtils.getLogger();
diff --git a/src/main/java/net/minecraft/core/block/BlockFurnaceBlast.java b/src/main/java/net/minecraft/core/block/BlockFurnaceBlast.java
index d34d941a3..9cccd3117 100644
--- a/src/main/java/net/minecraft/core/block/BlockFurnaceBlast.java
+++ b/src/main/java/net/minecraft/core/block/BlockFurnaceBlast.java
@@ -13,12 +13,6 @@ import org.slf4j.Logger;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockContainer, Material, Block, World,
-//            IBlockAccess, TileEntityFurnace, Player, TileEntity,
-//            Mob, MathHelper, IInventory, ItemStack,
-//            EntityItem
-
 public class BlockFurnaceBlast extends BlockFurnace
 {
     private static final Logger LOGGER = LogUtils.getLogger();
diff --git a/src/main/java/net/minecraft/core/block/BlockGlass.java b/src/main/java/net/minecraft/core/block/BlockGlass.java
index 636ba6b05..5b90ae5c6 100644
--- a/src/main/java/net/minecraft/core/block/BlockGlass.java
+++ b/src/main/java/net/minecraft/core/block/BlockGlass.java
@@ -6,9 +6,6 @@ import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockBreakable, Material
-
 public class BlockGlass extends BlockTransparent
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockGlassTinted.java b/src/main/java/net/minecraft/core/block/BlockGlassTinted.java
index 977d919e2..70a0b6acc 100644
--- a/src/main/java/net/minecraft/core/block/BlockGlassTinted.java
+++ b/src/main/java/net/minecraft/core/block/BlockGlassTinted.java
@@ -6,9 +6,6 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockBreakable, Material
-
 public class BlockGlassTinted extends BlockGlass
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockGlowStone.java b/src/main/java/net/minecraft/core/block/BlockGlowStone.java
index 106033879..01954344b 100644
--- a/src/main/java/net/minecraft/core/block/BlockGlowStone.java
+++ b/src/main/java/net/minecraft/core/block/BlockGlowStone.java
@@ -8,9 +8,6 @@ import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, Item, Material
-
 public class BlockGlowStone extends Block
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockGrass.java b/src/main/java/net/minecraft/core/block/BlockGrass.java
index cd3067d3c..ff174acca 100644
--- a/src/main/java/net/minecraft/core/block/BlockGrass.java
+++ b/src/main/java/net/minecraft/core/block/BlockGrass.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.block;
 
 import java.util.Random;
-
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.data.gamerule.GameRules;
@@ -10,16 +9,9 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.biome.Biomes;
-import net.minecraft.core.world.noise.ImprovedNoise;
-
-// Referenced classes of package net.minecraft.src:
-//            Block, Material, IBlockAccess, WorldChunkManager, 
-//            ColorizerGrass, World
 
 public class BlockGrass extends Block
 {
-    private static ImprovedNoise grassColorPerlin = new ImprovedNoise(new Random(0));
-
     public BlockGrass(String key, String namespaceId, int id, Material material)
     {
         super(key, namespaceId, id, material);
diff --git a/src/main/java/net/minecraft/core/block/BlockGravel.java b/src/main/java/net/minecraft/core/block/BlockGravel.java
index 0b1dd2b1d..09c457898 100644
--- a/src/main/java/net/minecraft/core/block/BlockGravel.java
+++ b/src/main/java/net/minecraft/core/block/BlockGravel.java
@@ -6,9 +6,6 @@ import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockSand, Item
-
 public class BlockGravel extends BlockSand
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockIce.java b/src/main/java/net/minecraft/core/block/BlockIce.java
index 24802c980..ce9e6d447 100644
--- a/src/main/java/net/minecraft/core/block/BlockIce.java
+++ b/src/main/java/net/minecraft/core/block/BlockIce.java
@@ -10,10 +10,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockBreakable, Material, World, Block, 
-//            EnumSkyBlock, IBlockAccess, Player
-
 public class BlockIce extends BlockTransparent
 {
 
diff --git a/src/main/java/net/minecraft/core/block/BlockJukebox.java b/src/main/java/net/minecraft/core/block/BlockJukebox.java
index daed5484d..f83a6c989 100644
--- a/src/main/java/net/minecraft/core/block/BlockJukebox.java
+++ b/src/main/java/net/minecraft/core/block/BlockJukebox.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.block;
 
-// Referenced classes of package net.minecraft.src:
-//            BlockContainer, Material, World, TileEntityJukebox,
-//            EntityItem, ItemStack, Player, TileEntity
-
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.entity.TileEntityJukebox;
